Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicToggleButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI

Direct Known Subclasses:
  BasicRadioButtonUI, MetalToggleButtonUI

public class BasicToggleButtonUI
extends BasicButtonUI

BasicToggleButton implementation

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`BasicToggleButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected java.lang.String` | `getPropertyPrefix()`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`protected void` | `paintButtonPressed(java.awt.Graphics g, AbstractButton b)`
`protected void` | `paintFocus(java.awt.Graphics g, AbstractButton b, java.awt.Rectangle viewRect, java.awt.Rectangle textRect, java.awt.Rectangle iconRect)`
`protected void` | `paintIcon(java.awt.Graphics g, AbstractButton b, java.awt.Rectangle iconRect)`
`protected void` | `paintText(java.awt.Graphics g, AbstractButton b, java.awt.Rectangle textRect, java.lang.String text)`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getTextShiftOffset, installDefaults, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicToggleButtonUI

    public BasicToggleButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### getPropertyPrefix

    protected java.lang.String getPropertyPrefix()

  Overrides:
    getPropertyPrefix in class BasicButtonUI

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class BasicButtonUI

### paintIcon

    protected void paintIcon(java.awt.Graphics g,
                             AbstractButton b,
                             java.awt.Rectangle iconRect)

### paintText

    protected void paintText(java.awt.Graphics g,
                             AbstractButton b,
                             java.awt.Rectangle textRect,
                             java.lang.String text)

### paintFocus

    protected void paintFocus(java.awt.Graphics g,
                              AbstractButton b,
                              java.awt.Rectangle viewRect,
                              java.awt.Rectangle textRect,
                              java.awt.Rectangle iconRect)

  Overrides:
    paintFocus in class BasicButtonUI

### paintButtonPressed

    protected void paintButtonPressed(java.awt.Graphics g,
                                      AbstractButton b)

  Overrides:
    paintButtonPressed in class BasicButtonUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.